Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## cascading.flow.planner
Enum Scope.Kind

    java.lang.Object
      java.lang.Enum<Scope.Kind>
          cascading.flow.planner.Scope.Kind

All Implemented Interfaces:
  Serializable, Comparable<Scope.Kind>

Enclosing class:
  Scope

    public static enum Scope.Kind

extends Enum<Scope.Kind>

Enum Kind

Enum Constant Summary
`EACH`
`EVERY`
`GROUP`
`SPLICE`
`TAP`

Method Summary
`static Scope.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Scope.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TAP

    public static final Scope.Kind TAP

### EACH

    public static final Scope.Kind EACH

### EVERY

    public static final Scope.Kind EVERY

### GROUP

    public static final Scope.Kind GROUP

### SPLICE

    public static final Scope.Kind SPLICE

Method Detail

### values

    public static Scope.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Scope.Kind c : Scope.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Scope.Kind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.